Badger::Data::Facet::Text::Pattern(3pm)

NAME
Badger::Data::Facet::Text::Pattern - validation facet for text pattern match

DESCRIPTION
This module implements a validation facets that assert that a text value matches a regular expression pattern.

METHODS
This module implement the following method in addition to those inherited from the Badger::Data::Facet::Text, Badger::Data::Facet and Badger::Base base classes.

  validate($text_ref, $type)
This method validates that the text passed by reference as the first argument matches the pre-defined regular expression pattern.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2001-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Facet, Badger::Data::Facet::Text.